Bug 997141 - Multinode packstack instance won't launch insteance unless all in one run first [NEEDINFO]
Multinode packstack instance won't launch insteance unless all in one run first
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: Martin Magr
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 14:37 EDT by Solly Ross
Modified: 2013-11-15 06:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 06:53:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmagr: needinfo? (sross)


Attachments (Terms of Use)

  None (edit)
Description Solly Ross 2013-08-14 14:37:09 EDT
Description of problem:
When you don't first run an all-in-one installation (instead skipping directly to a multi-node installation), launching an instance will fail on "no valid host found" (this was encountered when using neutron, but I haven't had a chance to test if this occurs when not using neutron)


Steps to Reproduce:
1. Install a fresh copy of RHEL 6.4
2. Install Packstack and the OpenStack repos
3. `yum -y update` and reboot to install the new kernel
4. `packstack --gen-answer-file`, and edit the answer file to point COMPUTE_HOSTS to a different node
5. `packstack --answer-file=answers.txt` to run packstack 
6. Launch an instance

Actual results:

Instance fails to launch, giving error 'noValidHost'

Expected results:

Instance launches fine
Comment 2 Solly Ross 2013-08-26 13:16:14 EDT
P.S.  After a bit of digging, I would guess that this has something to do with the default Packstack Neutron installation type being 'local'.  Perhaps Packstack should warn if you have set the Neutron type to be 'local' but have a multi-node configuration?
Comment 3 Martin Magr 2013-10-01 09:12:34 EDT
Having separate compute hosts should work via Packstack installation. Do you still see the problem?
Comment 4 Alvaro Lopez Ortega 2013-11-15 06:53:43 EST
It's been a month with needinfo, so I'm closing it now.
@sross please, reopen it if you can still reproduce the problem.

Note You need to log in before you can comment on or make changes to this bug.